<div>
  <h2 id="page-heading" data-cy="KendaraanHeading">
    <span>Kendaraans</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-kendaraan"
        [routerLink]="['/kendaraan/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Kendaraan</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (kendaraans?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Kendaraans found</span>
    </div>
  }

  @if (kendaraans && kendaraans.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kondisi">
              <div class="d-flex">
                <span>Kondisi</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="roda">
              <div class="d-flex">
                <span>Roda</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="merk">
              <div class="d-flex">
                <span>Merk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tipe">
              <div class="d-flex">
                <span>Tipe</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="warna">
              <div class="d-flex">
                <span>Warna</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tahunPembuatan">
              <div class="d-flex">
                <span>Tahun Pembuatan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noRangka">
              <div class="d-flex">
                <span>No Rangka</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noMesin">
              <div class="d-flex">
                <span>No Mesin</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noBpkb">
              <div class="d-flex">
                <span>No Bpkb</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nilaiObjekJaminan">
              <div class="d-flex">
                <span>Nilai Objek Jaminan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="ppk.id">
              <div class="d-flex">
                <span>Ppk</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (kendaraan of kendaraans; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/kendaraan', kendaraan.id, 'view']">{{ kendaraan.id }}</a>
              </td>
              <td>{{ kendaraan.kondisi }}</td>
              <td>{{ kendaraan.roda }}</td>
              <td>{{ kendaraan.merk }}</td>
              <td>{{ kendaraan.tipe }}</td>
              <td>{{ kendaraan.warna }}</td>
              <td>{{ kendaraan.tahunPembuatan }}</td>
              <td>{{ kendaraan.noRangka }}</td>
              <td>{{ kendaraan.noMesin }}</td>
              <td>{{ kendaraan.noBpkb }}</td>
              <td>{{ kendaraan.nilaiObjekJaminan }}</td>
              <td>
                @if (kendaraan.ppk) {
                  <div>
                    <a [routerLink]="['/ppk', kendaraan.ppk.id, 'view']">{{ kendaraan.ppk.id }}</a>
                  </div>
                }
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/kendaraan', kendaraan.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/kendaraan', kendaraan.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(kendaraan)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (kendaraans && kendaraans.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
